## EMBOSS: polydot

# Program polydot

## Function

Displays all-against-all dotplots of a set of sequences

## Description

A dotplot is a graphical representation of the regions of similarity between two sequences.

The two sequences are placed on the axes of a rectangular image and (subject to threshold conditions) wherever there is a similarity between the sequences a dot is placed on the image.

Where the two sequences have substantial regions of similarity, many dots align to form diagonal lines. It is therefore possible to see at a glance where there are local regions of similarity.

polydot compares all sequences in a set of sequences, draws a dotplot for each pair of sequences by marking where words (tuples) of a specified length have an exact match in both sequences and optionally reports all identical matches to feature files.

## Usage

Here is a sample session with polydot.

    % polydot globin.fasta -gtitle="Polydot of globin.fasta"

click here for result

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-sequences]         seqset     File containing a sequence alignment
       -wordsize           integer    Word size
    *  -graph              graph      Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers:
       -[no]boxit          bool       Draw a box around each dotplot
       -dumpfeat           bool       Dump all matches as feature files
       -format             string     format to Dump out as
       -ext                string     Extension for feature file

       Advanced qualifiers:
       -data               bool       Output the match data to a file instead of
                                      plotting it
       -gap                integer    This specifies the size of the gap that is
                                      used to separate the individual dotplots in
                                      the display. The size is measured in
                                      residues, as displayed in the output.

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequences] (Parameter 1) | File containing a sequence alignment | Readable sequences | Required
-wordsize | Word size | Integer 2 or more | 6
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.polydot
Optional qualifiers | Allowed values | Default
-[no]boxit | Draw a box around each dotplot | Yes/No | Yes
-dumpfeat | Dump all matches as feature files | Yes/No | No
-format | format to Dump out as | Any string is accepted | gff
-ext | Extension for feature file | Any string is accepted | gff
Advanced qualifiers | Allowed values | Default
-data | Output the match data to a file instead of plotting it | Yes/No | No
-gap | This specifies the size of the gap that is used to separate the individual dotplots in the display. The size is measured in residues, as displayed in the output. | Integer 0 or more | 10

## Input file format

It reads in a set of nucleic or protein sequences.

The sequences may or may not be aligned.

## Output file format

A graphical image is displayed.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 if successful.

## Known bugs

None.

## See also

Program name | Description
--- | ---
dotmatcher | Displays a thresholded dotplot of two sequences
dotpath | Displays a non-overlapping wordmatch dotplot of two sequences
dottup | Displays a wordmatch dotplot of two sequences

## Author(s)

This application was written by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

    Completed 2nd June 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments